Skip to content
WP EngineDocumentation

List SFTP users

GET
/installs/{install_id}/sftp_users
curl --request GET \
--url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/sftp_users \
--header 'Authorization: Basic <credentials>'

Lists all SFTP users for the install.

Limitations & Warnings

  • Not available for Autoscale accounts. Returns 403 for Autoscale accounts.
install_id
required
string format: uuid

ID of install

Example

294deacc-d8b8-4005-82c4-0727ba8ddde0

Returns a list of SftpUser objects.

Media typeapplication/json

List of SFTP users

object
results

List of SFTP users for the install

Array<object>

SFTP user credentials for an install

object
name
required

Full SFTP username (auto-prefixed with install name)

string
path
required

SFTP path for the user

string
nullable

Example

{
"results": [
{
"name": "install-developer",
"path": "/www/wp-content"
}
]
}

Bad Request

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string

Example

{
"message": "Invalid request.",
"errors": [
{
"resource": "Resource",
"field": "field_name",
"type": "invalid_value",
"code": "invalid",
"message": "The value is invalid."
}
]
}

Authentication Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Example

{
"message": "Bad Credentials"
}

Not authorized (install not found, no access, or Autoscale account)

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Example

{
"message": "You don't have permission to perform that action"
}

Too many requests

Internal Server Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string

Example

{
"message": "An unexpected error occurred, please try again in a few minutes"
}

An invalid response was received from an upstream server

Service unavailable